<?php

namespace Drupal\entity_pilot_git;

/**
 * Interface EntityOperationsInterface.
 *
 * @package Drupal\entity_pilot_git
 */
interface EntityOperationsInterface {

  /**
   * Check if any entities have been updated since a given timestamp.
   *
   * @param int $from_date
   *   Timestamp to check for content from.
   * @param array $entity_types
   *   The entity types ids to check, if ommitted all entity types
   *   will be checked.
   *
   * @return bool
   *   Whether there is content to update or not.
   */
  public function checkForUpdates($from_date, $entity_types = []);

}
